<form [formGroup]="multiSelectGroup">
  <mat-form-field>
    <mat-select (openedChange)="onMultiIncomeSourceSelected($event)" placeholder="Toppings" formControlName="toppingCtrl" multiple>
      <mat-option *ngFor="let topping of toppingList" [value]="topping.Id">{{topping.Name}}</mat-option>
    </mat-select>
  </mat-form-field>
</form>

<div>
  value selected is : {{valueSelected}}
</div>

